# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# Copyright (c) 2000, Red Hat, Inc.
# 
# This file is part of Source-Navigator.
# 
# Source-Navigator is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.
# 
# Source-Navigator is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with Source-Navigator; see the file COPYING.  If not, write to
# the Free Software Foundation, 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.
# 


SHELL = /bin/sh

srcdir = .
top_srcdir = ../../../..
prefix = /usr/local/sourcenav
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = /usr/local/sourcenav/info/
mandir = /usr/local/sourcenav/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/sn
pkglibdir = $(libdir)/sn
pkgincludedir = $(includedir)/sn

top_builddir = ../../../..

ACLOCAL = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/snavigator/missing aclocal
AUTOCONF = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/snavigator/missing autoconf
AUTOMAKE = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/snavigator/missing automake
AUTOHEADER = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/snavigator/missing autoheader

INSTALL = /usr/bin/install -c -o root -g wheel
INSTALL_PROGRAM = install  -s -o root -g wheel -m 555 $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = install  -o root -g wheel -m 444
INSTALL_SCRIPT = install  -o root -g wheel -m 555
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i386-portbld-freebsd7.1
host_triplet = i386-portbld-freebsd7.1
ASM_DEMO = asm_demo
ASSEMBLER_DIRS = ppc601-eabi
AWK = nawk
BUG_ADDRESS = support@cygnus.com
CC = cc
CC_FOR_BUILD = $(CC)
COB_DEMO = cob_demo
CPP = cc -E
CYGPATH = echo
C_DEMO = c++_demo
DB_INCDIR = $(top_srcdir)/../db/include
DB_LIBDIR = $(top_builddir)/../db/PORT
EXEEXT = 
FOR_DEMO = for_demo
GETTING_STARTED_DIR = 
GETTING_STARTED_INDEX = 
GETTING_STARTED_NAME = 
HYPER_CFLAGS = 
HYPER_MAIN = 
ITCLHDIR = @ITCLHDIR@
ITCL_BUILD_LIB_SPEC = -L/work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/itcl/itcl -litcl3.2
ITCL_LIB_FILE = libitcl3.2.a
ITCL_LIB_FULL_PATH = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/itcl/itcl/libitcl3.2.a
ITCL_SH = NONE
ITK_BUILD_LIB_SPEC = -L/work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/itcl/itk -litk3.2
ITK_LIB_FILE = libitk3.2.a
ITK_LIB_FULL_PATH = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/itcl/itk/libitk3.2.a
JAVAEXE = jbrowser
JAVA_PARSER = 
JAV_DEMO = jav_demo
LEX = flex
LEXLIB = -lfl
MAINT = #
MAKEINFO = makeinfo
MONOP_DEMO = monop
OBJEXT = o
OLDTARFLAG = o
PACKAGE = sn
PRODUCT_NAME = Source-Navigator
PROGRAMMERS_REFERENCE_DIR = progref
PROGRAMMERS_REFERENCE_INDEX = index_pr.html
PROGRAMMERS_REFERENCE_NAME = Programmer's Reference Guide
RANLIB = ranlib
SDK_DIR = sdk
SENDMAIL_PARSER = sendmail
SN_BOOKS = userguide progref
SN_DOCSET = 
SN_GUI_DIR = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/snavigator/gui
SN_LAUNCH_SHELL = snavigator
SN_PLATFORM_DIR = unix
SN_SDK_EXEC_PREFIX = ${prefix}/share/sdk
SOCKLIB = 
SPLASHFILE = splashsn.gif
SUITE_NAME = Red Hat Embedded DevKit
TAR = /usr/bin/tar
TCLCONFIG = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tcl/unix/tclConfig.sh
TCLHDIR = -I/work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tcl/generic
TCL_BIN_DIR = 
TCL_BUILD_LIB_SPEC = -L/work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tcl/unix -ltcl8.3
TCL_CFLAGS = -O2 -fno-strict-aliasing -pipe
TCL_DBGX = 
TCL_DEFS =  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRSTR=1 -DHAVE_STRTOL=1 -DHAVE_TMPNAM=1 -DHAVE_WAITPID=1 -DNO_VALUES_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_TM_ZONE=1 -DHAVE_TM_GMTOFF=1 -DHAVE_ST_BLKSIZE=1 -DSTDC_HEADERS=1 -DNO_UNION_WAIT=1 -DRETSIGTYPE=void -DHAVE_SIGNED_CHAR=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_FILIO_H=1 -DSTATIC_BUILD=1 
TCL_LD_FLAGS = -export-dynamic
TCL_LD_SEARCH_FLAGS = 
TCL_LIBRARY = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tcl/library
TCL_LIBS =   -lm
TCL_LIB_FILE = libtcl8.3.a
TCL_LIB_FULL_PATH = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tcl/unix/libtcl8.3.a
TCL_LIB_SPEC = -L/usr/local/sourcenav/lib -ltcl8.3
TCL_RANLIB = ranlib
TCL_SHLIB_CFLAGS = -fPIC
TCL_SHLIB_LD = ld -Bshareable -x
TIX_BUILD_LIB_SPEC = -L/work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tix/unix/tk8.3 -ltix4.1.8.1
TKCONFIG = /work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tk/unix/tkConfig.sh
TKHDIR = -I/work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tk/generic
TK_BUILD_INCLUDES = -I/work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tk/generic
TK_BUILD_LIB_SPEC = -L/work/a/ports/devel/sourcenav/work/sourcenav-5.2b2/tk/unix -ltk8.3
TK_DBGX = 
TK_DEFS =  -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_PW_GECOS=1 -DSTATIC_BUILD=1 
TK_LIBS = -L/usr/local/lib -lX11   -lm
TK_LIB_FILE = libtk8.3.a
TK_LIB_FULL_PATH = 
TK_LIB_SPEC = -L/usr/local/sourcenav/lib -ltk8.3${TCL_DBGX}
TK_VERSION = 8.3
TK_XINCLUDES = -I/usr/local/include
TK_XLIBSW = -L/usr/local/lib -lX11
USING_GNUPRO_DIR = 
USING_GNUPRO_INDEX = 
USING_GNUPRO_NAME = 
VERSION = 5.2b2
WIN32LDAPP = 
WIN32LIBS = 
WINDRES = windres
WINFLAGS = 
X11ICON = paf.xbm
YACC = bison -y

AUTOMAKE_OPTIONS = cygnus

elfdir = $(datadir)/sdk/parsers/examples/elf

elf_DATA = README Makefile Makefile.vc blobsql.elf ebrowser.l
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = ../../../../config.h
CONFIG_CLEAN_FILES = 
DATA =  $(elf_DATA)

DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --cygnus sdk/parsers/examples/elf/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-elfDATA: $(elf_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(elfdir)
	@list='$(elf_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(elfdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(elfdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(elfdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(elfdir)/$$p; \
	  fi; fi; \
	done

uninstall-elfDATA:
	@$(NORMAL_UNINSTALL)
	list='$(elf_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(elfdir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = sdk/parsers/examples/elf

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am:
check: check-am
installcheck-am:
installcheck: installcheck-am
install-info-am: 
install-info: install-info-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-elfDATA
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-elfDATA
uninstall: uninstall-am
all-am: Makefile $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(elfdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: uninstall-elfDATA install-elfDATA tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-info-am \
install-info install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
